Xerces-C++: DOMNodeList Class Reference

Xerces-C++ 3.2.1

List of all members
DOMNodeList Class Referenceabstract

The `DOMNodeList` interface provides the abstraction of an ordered collection of nodes. More...

## Public Member Functions
Destructor
virtual | ~DOMNodeList ()
| Destructor. More...
Functions introduced in DOM Level 1
virtual DOMNode * | item (XMLSize_t index) const =0
| Returns the `index` item in the collection. More...
virtual XMLSize_t | getLength () const =0
| Returns the number of nodes in the list. More...

## Protected Member Functions
Hidden constructors
| DOMNodeList ()

## Detailed Description

The `DOMNodeList` interface provides the abstraction of an ordered collection of nodes.

DOMNodeLists are created by DOMDocument::getElementsByTagName(), DOMNode::getChildNodes(),

The items in the `DOMNodeList` are accessible via an integral index, starting from 0.

DOMNodeLists are "live", in that any changes to the document tree are immediately reflected in any DOMNodeLists that may have been created for that tree.

## Constructor & Destructor Documentation

## ◆ DOMNodeList()

DOMNodeList::DOMNodeList | ( |  | ) |
| protected

## ◆ ~DOMNodeList()

virtual DOMNodeList::~DOMNodeList | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ getLength()

virtual XMLSize_t DOMNodeList::getLength | ( |  | ) | const
| pure virtual

Returns the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Since
  DOM Level 1

## ◆ item()

virtual DOMNode* DOMNodeList::item | ( | XMLSize_t | index | ) | const
| pure virtual

Returns the `index` item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters

  index | Index into the collection.

Returns
  The node at the `index`th position in the `DOMNodeList`, or `null` if that is not a valid index.

Since
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMNodeList.hpp